Bug 1252553 - rhel-osp-director: UI: Limited selection for public interface under service configuration.
rhel-osp-director: UI: Limited selection for public interface under service c...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tuskar-ui (Show other bugs)
unspecified
x86_64 Linux
high Severity unspecified
: y1
: 7.0 (Kilo)
Assigned To: Ana Krivokapic
Ola Pavlenko
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 12:32 EDT by Alexander Chuzhoy
Modified: 2015-10-08 08:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-tuskar-ui-0.4.0-2.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 08:16:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 217318 None None None Never

  None (edit)
Description Alexander Chuzhoy 2015-08-11 12:32:15 EDT
rhel-osp-director: UI: Limited selection for public interface under service configuration.

Environment:
python-tuskarclient-0.1.18-3.el7ost.noarch
openstack-tuskar-ui-extras-0.0.4-1.el7ost.noarch
instack-undercloud-2.1.2-23.el7ost.noarch
openstack-tuskar-0.4.18-3.el7ost.noarch
openstack-tuskar-ui-0.3.0-15.el7ost.noarch



Steps to reproduce:
1. Deploy undercloud on bare metal.
2. Go to the "service configuration" tab, select "global", and click on the "Simplified configuration" button. 
3. Try to change the "Public interface" value.


Result:
The public interface for BM is limited to em2. 

Expected result:
Should be able to specify the NIC that's on the system, or this option shouldn't exist under "Simplified Configuration".
Comment 3 Ana Krivokapic 2015-08-18 15:05:22 EDT
We can change the dropdown box to the text field, same as in advanced configuration.
Comment 6 Ola Pavlenko 2015-09-08 11:12:30 EDT
tested openstack-tuskar-ui-0.4.0-3.el7ost.noarch

also documented here: https://repos.fedorapeople.org/repos/openstack-m/docs/internal/master/basic_deployment/basic_deployment_gui.html#service-configuration
Comment 8 errata-xmlrpc 2015-10-08 08:16:41 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Note You need to log in before you can comment on or make changes to this bug.